<!--   -->

<template>
  <!--  Tabla y propiedades de esta  -->
  <div>
    <v-data-table
      :headers="headers"
      :items="sales"
      :search="search"
      sort-by="id"
      class="elevation-1"
    >
      <v-container>
        <v-card></v-card>
      </v-container>
      <template v-slot:top>
        <v-toolbar flat color="white" margin="400px">
          <v-toolbar-title>Gestion de Pedidos</v-toolbar-title>
          <v-divider class="mx-4" inset vertical></v-divider>

          <!-- Buscador por coincidencia no importa si son strign o enteros solo busca las coincidencias -->
          <v-text-field
            v-model="search"
            append-icon="mdi-magnify"
            label="Search"
            single-line
            hide-details
          ></v-text-field>

          <!-- Select para la categorizacion de la tabla acorde al estado del pedido  -->
          <template>
            <v-menu transition="slide-x-transition">
              <v-list>
                <v-list-item v-for="n in 5" :key="n" link>
                  <v-list-item-title v-text="'En Proceso ' + n"></v-list-item-title>
                </v-list-item>
              </v-list>
            </v-menu>
          </template>

          <v-spacer></v-spacer>
        </v-toolbar>
      </template>
    </v-data-table>
  </div>
</template>


<script>
export default {
  data: () => ({
    dialog: false,
    search: "",
    //Los items que contiene el selec acrode a los estados marcados
    headers: [
      {
        text: "Nombre",
        align: "start",
        sortable: false,
        value: "name"
      },
      { text: "Apellido", value: "lastname" },
      { text: "Precio del Pedido", value: "total" },
      { text: "Colonia", value: "bloc" },
      { text: "Calle", value: "street" },
      { text: "Estado", value: "status" }
    ],

    sales: [],
    editedIndex: -1,
    editedItem: {
      name: "",
      precioActual: 0,
      nuevoPrecio: 0,
      estado: 0,
      protein: 0
    },
    defaultItem: {
      name: "",
      precioActual: 0,
      nuevoPrecio: 0,
      estado: 0,
      protein: 0
    }
  }),

  watch: {
    dialog(val) {
      val || this.close();
    }
  },

  created() {
    this.initialize();
  },

  methods: {
    initialize() {
      this.$axios
        .get(`http://${process.env.VUE_APP_API_URL}/api/sales`)
        .then(res => {
          res.data.data.forEach(sale => {
            console.log(sale);
            this.sales.push({
              name: sale.info.client.name,
              lastname: sale.info.client.last_name,
              total: sale.info.total,
              status: sale.info.status,
              bloc: sale.info.client.bloc,
              street: sale.info.client.street,
            });
          });
        });
    }
  }
};
</script>


<style scoped>
.elevation-1 {
  margin: 2%;
  border-radius: 10px;
}
</style>

